
Infrastructure - Task #3024

Story # 3023 (Closed): Review and where necessary alter, add, remove index fields

Evaluate possibility of adding an "object category" field - data, metadata, or resource map

2012-06-26 15:18 - Dave Vieglais

Status: Closed Start date: 2012-06-26

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: Sprint-2012.39-Block.5.4   

Milestone: CCI-1.1 Story Points:  

Product Version: *   

Description

It is currently possible to specify the type of content for matching records through the formatId field, but this is cumbersome when, for

example, searching for any metadata objects.

This task is to evaluate and possibly implement a new field "objectCategory" that would have values of "data", "metadata", or

"resource map" as determined by the formatId of the corresponding object.

History

#1 - 2012-06-26 19:45 - Skye Roseboom

Hi Dave - I don't see any issue with creating a new solr field 'objectCategory'.  Should be fairly easy to implement and add as a new indexed search

field.  

I think this will be useful going forward as it will allow mercury search to filter specifically on metadata from data and ORE. 

Id estimate this as on the order of 3 or so hours to implement and test.

#2 - 2012-07-05 21:42 - Skye Roseboom

- Milestone changed from CCI-1.0.3 to CCI-1.1

#3 - 2012-10-05 20:49 - Skye Roseboom

- Status changed from New to In Progress

#4 - 2012-10-08 13:35 - Skye Roseboom

- Status changed from In Progress to Testing

#5 - 2012-10-08 16:09 - Skye Roseboom

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours set to 0.0

tested on cn-dev-unm-1
